﻿<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:export="export">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<export:data>
		<uiConfig><applicationInfo name="Corel PHOTO-PAINT" framework="Corel PHOTO-PAINT" version="14" userConfiguration="true" localizedLang="EN"/>
			<commandBars>
				<commandBarData guid="f3016f3c-2847-4557-b61a-a2d05319cf18">
					<container>
						<container modeID="13ce1ce1-4271-4423-9254-11ee6863331c" notWhenInPlace="true">
							<item guidRef="fcae3ca5-ea80-4bb0-b47a-da2c8cdbaeda"/>
							<item guidRef="acf0c15a-c800-4424-baf4-cf341cb70ded"/>
							<item guidRef="8d0fca72-6b26-4534-895f-ccfc35a0bafd"/>
							<item guidRef="2a287972-c64d-419b-a08d-d21cf4403ddf"/>
							<item guidRef="d657d7ff-6ea0-4a71-abff-faa07adad43e"/>
							<item guidRef="69fad14f-3ced-450b-8171-4047fe269e85"/>
						</container>
					</container>
				</commandBarData>
			</commandBars>
		</uiConfig>
	</export:data>

	<xsl:template match="node()[count(*)='0']|@*">
		<xsl:copy-of select="."/>
	</xsl:template>

	<xsl:template match="node()">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
			<xsl:if test="not(./commandBars)">
				<xsl:copy-of select="document('')/*/export:data/uiConfig/commandBars"/>
			</xsl:if>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig/commandBars">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
			<xsl:if test="not(./commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18'])">
				<xsl:copy-of select="document('')/*/export:data/uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']"/>
			</xsl:if>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
			<xsl:if test="not(./container)">
				<xsl:copy-of select="document('')/*/export:data/uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']/container"/>
			</xsl:if>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']/container">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
			<xsl:if test="not(./commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']/container[@modeID='13ce1ce1-4271-4423-9254-11ee6863331c'])">
				<xsl:copy-of select="document('')/*/export:data/uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']/container[@modeID='13ce1ce1-4271-4423-9254-11ee6863331c']"/>
			</xsl:if>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']/container/container[@modeID='13ce1ce1-4271-4423-9254-11ee6863331c']">
		<xsl:copy-of select="document('')/*/export:data/uiConfig/commandBars/commandBarData[@guid='f3016f3c-2847-4557-b61a-a2d05319cf18']/container/container[@modeID='13ce1ce1-4271-4423-9254-11ee6863331c']"/>
	</xsl:template>

</xsl:stylesheet>
